summaryrefslogtreecommitdiff
path: root/etc/hstdp-snapshot/tasks/001-packages.sh
diff options
context:
space:
mode:
Diffstat (limited to 'etc/hstdp-snapshot/tasks/001-packages.sh')
-rwxr-xr-xetc/hstdp-snapshot/tasks/001-packages.sh43
1 files changed, 43 insertions, 0 deletions
diff --git a/etc/hstdp-snapshot/tasks/001-packages.sh b/etc/hstdp-snapshot/tasks/001-packages.sh
new file mode 100755
index 0000000..e948120
--- /dev/null
+++ b/etc/hstdp-snapshot/tasks/001-packages.sh
@@ -0,0 +1,43 @@
+#!/bin/bash
+set -e
+set -x
+
+prefix="${TOOLCHAIN}"
+sysconfdir="${TOOLCHAIN_BUILD}/etc/${PIPELINE}"
+reqdir=${sysconfdir}/pkgs
+blddir=builds
+
+export PATH="${prefix}/bin:${PATH}"
+export CFLAGS="-I${prefix}/include"
+export LDFLAGS="-L${prefix}/lib -Wl,-rpath=${prefix}/lib"
+export PREFIX="${prefix}"
+
+function pre()
+{
+ if [[ ! -d ${reqdir} ]]; then
+ # Nothing there, but maybe that's on purpose.
+ exit 0
+ fi
+ mkdir -p "${blddir}"
+ pushd ${blddir} &>/dev/null
+}
+
+function build()
+{
+ pre
+ # Iterate over binary package build scripts
+ for req in ${reqdir}/*
+ do
+ chmod +x "${req}"
+ "${req}"
+ done
+ post
+}
+
+function post()
+{
+ popd &>/dev/null
+ [[ -d ${blddir} ]] && rm -rf "${blddir}"
+}
+
+build